<template>
    <div id="createAccount">
        <h1> Create your account </h1>
        <form @submit.prevent="postData">
            <div>
                <div> Fullname </div>
                <input v-model="fullname" required>
            </div>
            <div>
                <br>
                <div> Email </div>
                <input v-model="email" type="email" required/>

            </div>
            <div>
                <br>
                <div> password </div>
                <input v-model="password"  type='password' required/>
            </div>
            <!--<div>-->
            <!--<br>-->
            <!--<div> confirm password </div>-->
            <!--<input v-model="confirmPassword" required>-->
            <!--</div>-->
            <div>
            <br>
            <input id="submitBtn" type="submit" value="CREATE"/>

            </div>
        </form>
    </div>
</template>

<script>

    export default {
        name: 'createAccount',
        data(){
            return {
                fullname : "",
                email : "",
                password : "",
                // confirmPassword : "",
            }
        },
        methods : {

            postData(){
                window.axios.post('members', {
                    "fullname": this.fullname,
                    "email": this.email,
                    "password": this.password

                }).then((response) =>{

                    //connects the user right after he registered
                    this.signin(this.email, this.password);


                }).catch((error)=>{
                    alert(error.response.data.error);

                });
            }

        }
    }
</script>

<style lang="scss">

  $lightpurple : rgb(165, 160, 187);

#createAccount{
    color: $lightpurple ;    
    margin : 50px auto;
    padding : 50px;
    background-color: #29272E;
    height : 50%;
    width : 40%;
    border-radius: 20px;
    text-align: center;
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}



</style>








